CHGPASSWD(8)

NAME
chgpasswd - aktualisiert Gruppenpasswörter im Stapel-Modus

ÜBERSICHT

chgpasswd [options]

BESCHREIBUNG

The chgpasswd command reads a list of group name and password pairs from standard input and uses this information to update a set of existing groups. Each line is of the format:

group_name:password

By default the supplied password must be in clear-text, and is encrypted by chgpasswd.

The default encryption algorithm can be defined for the system with the ENCRYPT_METHOD variable of /etc/login.defs, and can be overwritten with the -e or -c options.

Dieser Befehl ist für weitreichende Systeme gedacht, bei denenviele Passwörter gleichzeitig aktualisiert werden müssen.

OPTIONEN

The options which apply to the chgpasswd command are:

-c, --crypt-method
    definiert die Methode, mit der die Passwörter verschlüsselt werden.

    The available methods are SHA256, SHA512, and NONE if your libc supports these methods.

-e, --encrypted
    Passwörter werden verschlüsselt geliefert.

-h, --help
    zeigt die Hilfe an und beendet das Programm.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported. No SELINUX support.

-s, --sha-rounds
    legt die Anzahl von Runden beim Verschlüsseln von Passwörtern fest.

    You can only use this option with crypt method: SHA256 SHA512

    By default, the number of rounds for SHA256 or SHA512 is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

    A minimal value of 1000 and a maximal value of 999,999,999 will be enforced for SHA256 and SHA512. The default number of rounds is 5000.

WARNUNGEN

Achten Sie darauf, dass die Zugriffsrechte der unverschlüsselten Datei beziehungsweise UMASK ausschließen, dass andere Benutzer sie lesen können.

Sie sollten darauf achten, dass Passwörter und Verschlüsselungsmethode in Einklang mit der Passwortrichtlinie des Systems stehen.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

ENCRYPT_METHOD (string)
    This defines the system default encryption algorithm for encrypting passwords (if no algorithm is specified on the command line).

    It can take one of these values: SHA256, SHA512 (default), . See crypt(5) for recommendations.

    History: This variable is used by other programs, which may still default to unsafe algorithms such as DES. To avoid using unsafe algorithms, the variable should always be specified.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    Der Standardwert ist 0, was bedeutet, dass die Anzahl der Mitglieder einer Gruppe nicht begrenzt ist.

    Das Aufteilen von Gruppen ermöglicht es, Längenvorgaben für die Zeilen der Gruppendatei einzuhalten. Damit kann sichergestellt werden, dass die Zeilen für NIS-Gruppen nicht länger als 1024 Zeichen sind.

    Falls Sie eine solche Begrenzung benötigen, können Sie 25 verwenden.

    Hinweis: Mit aufgeteilten Gruppen können möglicherweise nicht alle Hilfsprogramme (nicht einmal jene der Shadow-Programmsammlung) umgehen. Sie sollten diese Variable nur setzen, wenn Sie sie wirklich benötigen.

SHA_CRYPT_MIN_ROUNDS (number), SHA_CRYPT_MAX_ROUNDS (number)
    When ENCRYPT_METHOD is set to SHA256 or SHA512, this defines the number of SHA rounds used by the encryption algorithm by default (when the number of rounds is not specified on the command line).

    With a lot of rounds, it is more difficult to brute force the password. But note also that more CPU resources will be needed to authenticate users.

    If not specified, the libc will choose the default number of rounds (5000), which is orders of magnitude too low for modern hardware.

    Die Werte müssen zwischen 1000 und 999.999.999 liegen.

    If only one of the SHA_CRYPT_MIN_ROUNDS or SHA_CRYPT_MAX_ROUNDS values is set, then this value will be used.

    If SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, the highest value will be used.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    geschützte Informationen zu den Gruppenkonten

/etc/login.defs
    konfiguriert die Shadow-Hilfsprogramme.

SIEHE AUCH

gpasswd(1), groupadd(8), login.defs(5).